Bug 476391 - avahi update gives /etc/avahi/*{,.rpmnew} with same creation time, contents
avahi update gives /etc/avahi/*{,.rpmnew} with same creation time, contents
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 19:56 EST by Horst H. von Brand
Modified: 2010-06-28 06:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-12-13 19:56:34 EST
Description of problem:
Updating today gave:

  # pwd
  /etc/avahi
  # ls -l 
  total 28
  -rwxr-xr-x 1 root root 2005 2008-12-12 18:49 avahi-autoipd.action
  -rw-r--r-- 1 root root 1603 2008-12-12 18:49 avahi-daemon.conf
  -rw-r--r-- 1 root root 1603 2008-12-12 18:47 avahi-daemon.conf.rpmnew
  drwxr-xr-x 2 root root 4096 2008-12-12 18:47 etc
  -rw-r--r-- 1 root root 1130 2008-12-12 18:49 hosts
  -rw-r--r-- 1 root root 1130 2008-12-12 18:47 hosts.rpmnew
  drwxr-xr-x 2 root root 4096 2008-12-13 21:40 services

avahi-daemon.conf{,.rmpnew} and hosts{,.rpmnew} have the same contents

Also, /etc/localtime and /etc/avahi/localtime appear to be the same

Version-Release number of selected component (if applicable):
avahi-0.6.24-1.fc11.x86_64
avahi-0.6.24-1.fc11.i386

How reproducible:
Dunno

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lennart Poettering 2008-12-15 07:31:27 EST
Yes /etc/localtime is copied to /etc/avahi/etc/localtime because we need it inside the chroot. This is intended. It cannot be symlinked because /etc is not available in the chroot.

About the other issue: Sorry,but I am not an RPM guru enough to understand why rpm created this new .rpmnew file. And does this really matter anyway?
Comment 2 Horst H. von Brand 2008-12-15 08:19:30 EST
I think that this is due to this being a multiarch package (i386 and x86_64), and both arches contain the offending files.

No, I'm no RPM guru (still trying to wrap my brain around multiarch myself).
Comment 3 Bug Zapper 2009-06-09 06:15:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:31:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 06:56:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.